
//
// To jest przykładowy kod z podrozdziału 17.4.5 „Wskaźnik zerowy” książki
// "Programowanie. Teoria i praktyka z wykorzystaniem C++" Bjarne'a Stroustrupa.
//

//------------------------------------------------------------------------------

int main()
{
    double* p0 = 0;    // Wskaźnik zerowy

    if (p0 != 0) 
    {
        // Należy uznać wskaźnik p0 za nadający się do użytku.
    }

    if (p0)
    {
        // Należy uznać wskaźnik p0 za nadający się do użytku. Równoważne z p0!=0.
    }
}

//------------------------------------------------------------------------------
